package com.aucma.dms.domain;

import com.aucma.common.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;



/**
 * 润滑记录对象 dms_record_lube
 *
 * @author Open Platform
 * @date 2024-02-26
 */
public class DmsRecordLube extends DmsBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long recordLubeId;

    /** 计划ID，关联dm_plan_lube的plan_lube_id */
    @Excel(name = "计划ID，关联dm_plan_lube的plan_lube_id")
    private Long planLubeId;

    /** 润滑工单编号 */
    @Excel(name = "润滑工单编号")
    private String billsLubeCode;

    /** 润滑组别 */
    @Excel(name = "润滑组别")
    private String lubeGroup;

    /** 润滑负责人 */
    @Excel(name = "润滑负责人")
    private String lubeSupervisor;

    /** 润滑级别：1-日常润滑；2-月度润滑；3-年度润滑 */
    @Excel(name = "润滑级别：1-日常润滑；2-月度润滑；3-年度润滑")
    private String lubeLevel;

    /** 计划润滑开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "计划润滑开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date planBeginTime;

    /** 实际润滑开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "实际润滑开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date realBeginTime;

    /** 计划润滑完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "计划润滑完成时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date planEndTime;

    /** 实际润滑完成时间;超期报警 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "实际润滑完成时间;超期报警", width = 30, dateFormat = "yyyy-MM-dd")
    private Date realEndTime;

    /** 润滑状态：1-待润滑；2-润滑中；3-已完成 */
    @Excel(name = "润滑状态：1-待润滑；2-润滑中；3-已完成")
    private String lubeStatus;

    /** 是否标识：1-是；0-否 */
    @Excel(name = "是否标识：1-是；0-否")
    private String isFlag;

    public void setRecordLubeId(Long recordLubeId)
    {
        this.recordLubeId = recordLubeId;
    }

    public Long getRecordLubeId()
    {
        return recordLubeId;
    }
    public void setPlanLubeId(Long planLubeId)
    {
        this.planLubeId = planLubeId;
    }

    public Long getPlanLubeId()
    {
        return planLubeId;
    }
    public void setBillsLubeCode(String billsLubeCode)
    {
        this.billsLubeCode = billsLubeCode;
    }

    public String getBillsLubeCode()
    {
        return billsLubeCode;
    }
    public void setLubeGroup(String lubeGroup)
    {
        this.lubeGroup = lubeGroup;
    }

    public String getLubeGroup()
    {
        return lubeGroup;
    }
    public void setLubeSupervisor(String lubeSupervisor)
    {
        this.lubeSupervisor = lubeSupervisor;
    }

    public String getLubeSupervisor()
    {
        return lubeSupervisor;
    }
    public void setLubeLevel(String lubeLevel)
    {
        this.lubeLevel = lubeLevel;
    }

    public String getLubeLevel()
    {
        return lubeLevel;
    }
    public void setPlanBeginTime(Date planBeginTime)
    {
        this.planBeginTime = planBeginTime;
    }

    public Date getPlanBeginTime()
    {
        return planBeginTime;
    }
    public void setRealBeginTime(Date realBeginTime)
    {
        this.realBeginTime = realBeginTime;
    }

    public Date getRealBeginTime()
    {
        return realBeginTime;
    }
    public void setPlanEndTime(Date planEndTime)
    {
        this.planEndTime = planEndTime;
    }

    public Date getPlanEndTime()
    {
        return planEndTime;
    }
    public void setRealEndTime(Date realEndTime)
    {
        this.realEndTime = realEndTime;
    }

    public Date getRealEndTime()
    {
        return realEndTime;
    }
    public void setLubeStatus(String lubeStatus)
    {
        this.lubeStatus = lubeStatus;
    }

    public String getLubeStatus()
    {
        return lubeStatus;
    }
    public void setIsFlag(String isFlag)
    {
        this.isFlag = isFlag;
    }

    public String getIsFlag()
    {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("recordLubeId", getRecordLubeId())
                .append("planLubeId", getPlanLubeId())
                .append("billsLubeCode", getBillsLubeCode())
                .append("lubeGroup", getLubeGroup())
                .append("lubeSupervisor", getLubeSupervisor())
                .append("lubeLevel", getLubeLevel())
                .append("planBeginTime", getPlanBeginTime())
                .append("realBeginTime", getRealBeginTime())
                .append("planEndTime", getPlanEndTime())
                .append("realEndTime", getRealEndTime())
                .append("lubeStatus", getLubeStatus())
                .append("isFlag", getIsFlag())
                .append("remark", getRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
